import request from '@/utils/request'

export function effectManageList(params: Record<string, any>) {
  return request({ method: 'get', url: '/effect/manage/list', params })
}

export function effectMineList(params: Record<string, any>) {
  return request({ method: 'get', url: '/effect/mine/list', params })
}

export function effectBoardList(params: Record<string, any>) {
  return request({ method: 'get', url: '/effect/board/list', params })
}

export function effectBacklogList(params: Record<string, any>) {
  return request({ method: 'get', url: '/effect/backlog/list', params })
}

export function effectTemplateList(params: Record<string, any>) {
  return request({ method: 'get', url: '/effect/template/list', params })
}

export function effectSettingList(params: Record<string, any>) {
  return request({ method: 'get', url: '/effect/setting/list', params })
}

export function effectDetailList(params: Record<string, any>) {
  return request({ method: 'get', url: '/effect/detail/list', params })
}

export function effectContentList(params: Record<string, any>) {
  return request({ method: 'get', url: '/effect/content/list', params })
}

export function effectContentGet(id: string | number) {
  return request({ method: 'get', url: '/effect/content/get', params: { id } })
}


export function effectContentSave(data: Record<string, any>) {
  return request({ method: 'post', url: '/effect/content/save', data })
}

export function effectTemplateGet(id: string | number) {
  return request({ method: 'get', url: '/effect/template/get', params: { id } })
}

export function effectTemplateSave(data: Record<string, any>) {
  return request({ method: 'post', url: '/effect/template/save', data })
}

export function effectIndexList(params: Record<string, any>) {
  return request({ method: 'get', url: '/effect/index/list', params })
}

export function effectDeptList(params: Record<string, any>) {
  return request({ method: 'get', url: '/effect/dept/list', params })
}

export function effectPersonList(params: Record<string, any>) {
  return request({ method: 'get', url: '/effect/person/list', params })
}

export function effectEvaluatedList(params: Record<string, any>) {
  return request({ method: 'get', url: '/effect/evaluated/list', params })
}

export function effectReviewList(params: Record<string, any>) {
  return request({ method: 'get', url: '/effect/review/list', params })
}

export function effectObjectionList(params: Record<string, any>) {
  return request({ method: 'get', url: '/effect/objection/list', params })
}

export function effectWhitelistList(params: Record<string, any>) {
  return request({ method: 'get', url: '/effect/whitelist/list', params })
}

